# Uses of Enum Class
org.springframework.context.annotation.ScopedProxyMode

Packages that use ScopedProxyMode
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of ScopedProxyMode in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return ScopedProxyMode
Modifier and Type
Method
Description
`ScopedProxyMode`
ScopeMetadata.`getScopedProxyMode()`
Get the proxy-mode to be applied to the scoped instance.
`static ScopedProxyMode`
ScopedProxyMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScopedProxyMode[]`
ScopedProxyMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.context.annotation with parameters of type ScopedProxyMode
Modifier and Type
Method
Description
`void`
ClassPathBeanDefinitionScanner.`setScopedProxyMode(ScopedProxyMode scopedProxyMode)`
Specify the proxy behavior for non-singleton scoped beans.
`void`
ScopeMetadata.`setScopedProxyMode(ScopedProxyMode scopedProxyMode)`
Set the proxy-mode to be applied to the scoped instance.
Constructors in org.springframework.context.annotation with parameters of type ScopedProxyMode
Modifier
Constructor
Description
``
`AnnotationScopeMetadataResolver(ScopedProxyMode defaultProxyMode)`
Construct a new `AnnotationScopeMetadataResolver` using the supplied default `ScopedProxyMode`.